import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Creates a data source.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-quicksight-datasource.html">the AWS Docs</a>
*/
export function dataSource(dataSourceProps = {}) {
    return new AwsResource('AWS::QuickSight::DataSource', dataSourceProps, { Status: 'Status', CreatedTime: 'CreatedTime', LastUpdatedTime: 'LastUpdatedTime', Arn: 'Arn' });
}
